Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.rtrep.v2
Class OPartnerLink

    java.lang.Object
      org.apache.ode.bpel.rtrep.v2.OBase
          org.apache.ode.bpel.rtrep.v2.OPartnerLink

All Implemented Interfaces:
  java.io.Serializable, ActivityModel, PartnerLinkModel

    public class OPartnerLink

extends OBase
implements PartnerLinkModel

Compiled representation of a BPEL partnerLink.

See Also:
  Serialized Form

Field Summary
`OScope` | `declaringScope` Scope in which this partnerLink is declared.
`boolean` | `initializePartnerRole`
`java.lang.String` | `myRoleName`
`javax.wsdl.PortType` | `myRolePortType`
`java.lang.String` | `name` partnerLink name.
`javax.xml.namespace.QName` | `partnerLinkType` The type of this partnerLink.
`java.lang.String` | `partnerRoleName`
`javax.wsdl.PortType` | `partnerRolePortType`

Fields inherited from class org.apache.ode.bpel.rtrep.v2.OBase
`debugInfo`

Constructor Summary
`OPartnerLink(OProcess owner)`

Method Summary
`void` | `addCorrelationSetForOperation(javax.wsdl.Operation operation, CorrelationSetModel cset)` Add a `org.apache.ode.bpel.o.OScope.CorrelationSet` to an `Operation`'s list of "non-initiating" correlation sets.
`void` | `addCreateInstanceOperation(javax.wsdl.Operation operation)`
`void` | `addUniqueCorrelationSetForOperation(javax.wsdl.Operation operation, CorrelationSetModel cset)` Add a `org.apache.ode.bpel.o.OScope.CorrelationSet` to an `Operation`'s list of "unique-initiating" correlation sets.
`java.util.Set<CorrelationSetModel>` | `getCorrelationSetsForOperation(javax.wsdl.Operation operation)` Get all non-initiating correlation sets that are ever used to qualify a receive for a the given operation.
`java.lang.String` | `getMyRoleName()`
`javax.wsdl.Operation` | `getMyRoleOperation(java.lang.String name)`
`javax.wsdl.PortType` | `getMyRolePortType()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPartnerRoleName()`
`javax.wsdl.Operation` | `getPartnerRoleOperation(java.lang.String name)`
`javax.wsdl.PortType` | `getPartnerRolePortType()`
`java.util.Set<CorrelationSetModel>` | `getUniqueCorrelationSetsForOperation(javax.wsdl.Operation operation)` Get all unique initiating correlation sets that are ever used to qualify a receive for a the given operation.
`boolean` | `hasMyRole()`
`boolean` | `hasPartnerRole()`
`boolean` | `isCreateInstanceOperation(javax.wsdl.Operation op)`
`boolean` | `isInitializePartnerRoleSet()`

Methods inherited from class org.apache.ode.bpel.rtrep.v2.OBase
`equals, getExtensibilityElements, getId, getOwner, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.ode.bpel.rapi.PartnerLinkModel
`getId`

Field Detail

### name

    public java.lang.String name

  partnerLink name.

### declaringScope

    public OScope declaringScope

  Scope in which this partnerLink is declared.

### partnerLinkType

    public javax.xml.namespace.QName partnerLinkType

  The type of this partnerLink.

### partnerRoleName

    public java.lang.String partnerRoleName

### myRoleName

    public java.lang.String myRoleName

### myRolePortType

    public javax.wsdl.PortType myRolePortType

### partnerRolePortType

    public javax.wsdl.PortType partnerRolePortType

### initializePartnerRole

    public boolean initializePartnerRole

Constructor Detail

### OPartnerLink

    public OPartnerLink(OProcess owner)

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `PartnerLinkModel`

### getMyRoleName

    public java.lang.String getMyRoleName()

  Specified by:
    `getMyRoleName` in interface `PartnerLinkModel`

### getPartnerRoleName

    public java.lang.String getPartnerRoleName()

  Specified by:
    `getPartnerRoleName` in interface `PartnerLinkModel`

### isInitializePartnerRoleSet

    public boolean isInitializePartnerRoleSet()

  Specified by:
    `isInitializePartnerRoleSet` in interface `PartnerLinkModel`

### getMyRolePortType

    public javax.wsdl.PortType getMyRolePortType()

  Specified by:
    `getMyRolePortType` in interface `PartnerLinkModel`

### getPartnerRolePortType

    public javax.wsdl.PortType getPartnerRolePortType()

  Specified by:
    `getPartnerRolePortType` in interface `PartnerLinkModel`

### hasMyRole

    public boolean hasMyRole()

  Specified by:
    `hasMyRole` in interface `PartnerLinkModel`

### hasPartnerRole

    public boolean hasPartnerRole()

  Specified by:
    `hasPartnerRole` in interface `PartnerLinkModel`

### isCreateInstanceOperation

    public boolean isCreateInstanceOperation(javax.wsdl.Operation op)

  Specified by:
    `isCreateInstanceOperation` in interface `PartnerLinkModel`

### addCreateInstanceOperation

    public void addCreateInstanceOperation(javax.wsdl.Operation operation)

### addCorrelationSetForOperation

    public void addCorrelationSetForOperation(javax.wsdl.Operation operation,
                                              CorrelationSetModel cset)

  Add a `org.apache.ode.bpel.o.OScope.CorrelationSet` to an `Operation`'s list of "non-initiating" correlation sets. The non-initiating correlation sets are those sets that are used (along with the operation) to "match" incoming messages. We need to know which correlation sets are used with which operation in order to pre-compute correlation keys at the time of message receipt.

  Parameters:
    `operation` - WSDL `Operation`
    `cset` - non-initiating correlation used in this operation

### getCorrelationSetsForOperation

    public java.util.Set<CorrelationSetModel> getCorrelationSetsForOperation(javax.wsdl.Operation operation)

  Get all non-initiating correlation sets that are ever used to qualify a receive for a the given operation.

  Specified by:
    `getCorrelationSetsForOperation` in interface `PartnerLinkModel`
  Parameters:
    `operation` - the operation
  Returns:
    all non-initiating correlation sets used in the given operation

### addUniqueCorrelationSetForOperation

    public void addUniqueCorrelationSetForOperation(javax.wsdl.Operation operation,
                                                    CorrelationSetModel cset)

  Add a `org.apache.ode.bpel.o.OScope.CorrelationSet` to an `Operation`'s list of "unique-initiating" correlation sets. The unique-initiating correlation sets are those sets that are used (along with the operation) to "initiate" incoming messages, provided that there doesn't already exist a process instance with that correlation key. We need to know which correlation sets are used with which operation in order to pre-compute correlation keys at the time of message receipt.

  Parameters:
    `operation` - WSDL `Operation`
    `cset` - unique-initiating correlation used in this operation

### getUniqueCorrelationSetsForOperation

    public java.util.Set<CorrelationSetModel> getUniqueCorrelationSetsForOperation(javax.wsdl.Operation operation)

  Get all unique initiating correlation sets that are ever used to qualify a receive for a the given operation.

  Specified by:
    `getUniqueCorrelationSetsForOperation` in interface `PartnerLinkModel`
  Parameters:
    `operation` - the operation
  Returns:
    all unique-initiating correlation sets used in the given operation

### getMyRoleOperation

    public javax.wsdl.Operation getMyRoleOperation(java.lang.String name)

  Specified by:
    `getMyRoleOperation` in interface `PartnerLinkModel`

### getPartnerRoleOperation

    public javax.wsdl.Operation getPartnerRoleOperation(java.lang.String name)

  Specified by:
    `getPartnerRoleOperation` in interface `PartnerLinkModel`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD